This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 891907 - The key you just pressed is not supported by Qt. (alt+shift shortcuts)
The key you just pressed is not supported by Qt. (alt+shift shortcuts)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-04 07:08 EST by Filip Skola
Modified: 2016-05-05 00:40 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-21 06:58:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Filip Skola 2013-01-04 07:08:10 EST
Description of problem: Cannot use 'alt' + 'shift' keys in KDE shortcuts.


Version-Release number of selected component (if applicable):
current Fedora 18 pre-release
qt-4.8.4-1.fc18.x86_64
kdelibs-4.9.4-5.fc18.x86_64

How reproducible: always


Steps to Reproduce:
1. system settings -> shortcuts & gestures -> select some shortcut
2. use shortcut featuring both alt and shift key
3. popup with $subject appears
  
Actual results: shortcut is not defined

Expected results: alt+shift+something shortcut

Additional info: Shortcuts with alt+shift defined from previous installations are present in the list, but don't work.
Comment 1 David Saxby 2013-03-24 10:34:56 EDT
I would just like to confirm that this is still present in the latest updates on Fedora 18 (KDE 4.10.1).

In addition, I noticed that Fedora 17 has recently updated to what appears to be both the same versions of KDE and QT (qt-4.8.4-14), but I do not seem to get the same issue on Fedora 17. Therefore, this problem is not obviously dependent on the QT version.

Also, I confirmed that if you attempt to use Alt+Shift as shortcut, you get the following message immediately:

"The key you just pressed is not supported by Qt." (As reported by the original author of this bug)

For what it's worth, I don't see the same problem on Suse 12.3, which uses KDE 4.10.

I have personally tested in three environments:

1) A Mac mini late 2012.
1) An HP Pavilion laptop.
3) Through a newly installed virtual machine image.

I have seen exactly the same problem in all three situations.
Comment 2 Fedora End Of Life 2013-12-21 05:10:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 David Saxby 2013-12-21 06:10:32 EST
I have just retested this on a clean install of Fedora 20 (using VirtualBox VM). This problem now appears to be solved. You can set the key combination that was causing the problem without any issues and the pre-existing keyboard shortcuts that use the problem combination seem to work correctly.
Comment 4 Kevin Kofler 2013-12-21 06:58:38 EST
OK, thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.